repa-3.4.1.2: High performance, regular, shape polymorphic parallel arrays.

Safe Haskell | None
Language | Haskell98

Data.Array.Repa.Repr.Undefined

Synopsis

- data X

# Documentation

data X Source #

An array with undefined elements.

- This is normally used as the last representation in a partitioned array, as the previous partitions are expected to provide full coverage.

Instances

Source X e Source # | Undefined array elements. Inspecting them yields `error`.

Associated Types

data Array X sh e :: * Source #

Methods

extent :: Shape sh => Array X sh e -> sh Source #

index :: Shape sh => Array X sh e -> sh -> e Source #

unsafeIndex :: Shape sh => Array X sh e -> sh -> e Source #

linearIndex :: Shape sh => Array X sh e -> Int -> e Source #

unsafeLinearIndex :: Shape sh => Array X sh e -> Int -> e Source #

deepSeqArray :: Shape sh => Array X sh e -> b -> b Source #

Shape sh => Load X sh e Source # |
Methods loadS :: Target r2 e => Array X sh e -> MVec r2 e -> IO () Source # loadP :: Target r2 e => Array X sh e -> MVec r2 e -> IO () Source #
Structured X a b Source # |
Associated Types type TR X :: * Source # Methods smap :: Shape sh => (a -> b) -> Array X sh a -> Array (TR X) sh b Source # szipWith :: (Shape sh, Source r c) => (c -> a -> b) -> Array r sh c -> Array X sh a -> Array (TR X) sh b Source #
Read sh => Read (Array X sh e) Source # |
Methods readsPrec :: Int -> ReadS (Array X sh e) # readList :: ReadS [Array X sh e] # readPrec :: ReadPrec (Array X sh e) # readListPrec :: ReadPrec [Array X sh e] #
Show sh => Show (Array X sh e) Source # |
Methods showsPrec :: Int -> Array X sh e -> ShowS # show :: Array X sh e -> String # showList :: [Array X sh e] -> ShowS #
data Array X Source # |
data Array X = AUndefined !sh
type TR X Source # |
type TR X = X